/***************************************************************************

    filename             : TRBNode.h
    description          : 
    created              : Sat Jul 19 2003
    version              : 1.0
    author               : Micha D. Niskin
    email                : mniskin@yahoo.com

    Copyright (C) 2003 Micha D. Niskin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

 ***************************************************************************/


#ifndef FIU_TRBNODE
#define FIU_TRBNODE


#include <TObject.h>


class TRBNode : public TObject {

public:

   TRBNode();
   TRBNode(Double_t, Double_t, Double_t, Double_t, TObject*);
   ~TRBNode();

   virtual Int_t     Compare(const TObject* obj) const;
   virtual Bool_t    IsEqual(const TObject* obj) const;
   Bool_t            IsOwner() const { return kIsOwner; }
   virtual Bool_t    IsSortable() const { return kTRUE; }
   void              SetOwner(Bool_t enable=kTRUE) { kIsOwner = enable; }

   Double_t fKey1;      // First key
   Double_t fKey2;      // Second key
   Double_t fd1;        // 'Fuzzyness' in key1
   Double_t fd2;        // 'Fuzzyness' in key2
   TObject* fData;      // The payload object
   Bool_t   kIsOwner;   // If kTRUE, fData will be destroyed in our dtor

   ClassDef(TRBNode,1)  // Generic object which can be sorted by 2 keys

};

#endif
