// convert standard Le Rose r-functions to a root file containing the r-function objects
// the stanard r-function directory structure is as follows:

// cut-defs/New-Right/collimator
//                   /no-collimatoir

// etc...

// This script should be run in the directory containing the cut-defs directory

{
   gSystem->Load("libRfn2.so");

   TFile f("rfn.root", "RECREATE");

   THaRfn r_ni;
   cout << "cut-defs/New-Right/collimator" << endl;
   r_ni.LoadDefs("cut-defs/New-Right/collimator");
   r_ni.SetNameTitle((const char*) r_ni.MakeFileName(), "new right coll in");
   r_ni.Write();

   THaRfn r_no;
   cout << "cut-defs/New-Right/no-collimator" << endl;
   r_no.LoadDefs("cut-defs/New-Right/no-collimator");
   r_no.SetNameTitle((const char*) r_no.MakeFileName(), "new right coll out");
   r_no.Write();

   THaRfn r_i;
   cout << "cut-defs/rightarm/collimator" << endl;
   r_i.LoadDefs("cut-defs/rightarm/collimator");
   r_i.SetNameTitle((const char*) r_i.MakeFileName(), "right coll in");
   r_i.Write();

   THaRfn r_o;
   cout << "cut-defs/rightarm/no-collimator" << endl;
   r_o.LoadDefs("cut-defs/rightarm/no-collimator");
   r_o.SetNameTitle((const char*) r_o.MakeFileName(), "right coll out");
   r_o.Write();

   THaRfn r_oi;
   cout << "cut-defs/oldright/collimator" << endl;
   r_oi.LoadDefs("cut-defs/oldright/collimator");
   r_oi.SetNameTitle((const char*) r_oi.MakeFileName(), "old right coll in");
   r_oi.Write();

   THaRfn r_oo;
   cout << "cut-defs/oldright/no-collimator" << endl;
   r_oo.LoadDefs("cut-defs/oldright/no-collimator");
   r_oo.SetNameTitle((const char*) r_oo.MakeFileName(), "old right coll out");
   r_oo.Write();

   THaRfn l_ni;
   cout << "cut-defs/New-Left/collimator" << endl;
   l_ni.LoadDefs("cut-defs/New-Left/collimator");
   l_ni.SetNameTitle((const char*) l_ni.MakeFileName(), "new left coll in");
   l_ni.Write();

   THaRfn l_no;
   cout << "cut-defs/New-Left/no-collimator" << endl;
   l_no.LoadDefs("cut-defs/New-Left/no-collimator");
   l_no.SetNameTitle((const char*) l_no.MakeFileName(), "new left coll out");
   l_no.Write();

   THaRfn l_i;
   cout << "cut-defs/leftarm/collimator" << endl;
   l_i.LoadDefs("cut-defs/leftarm/collimator");
   l_i.SetNameTitle((const char*) l_i.MakeFileName(), "left coll in");
   l_i.Write();

   THaRfn l_o;
   cout << "cut-defs/leftarm/no-collimator" << endl;
   l_o.LoadDefs("cut-defs/leftarm/no-collimator");
   l_o.SetNameTitle((const char*) l_o.MakeFileName(), "left coll out");
   l_o.Write();

   THaRfn l_oi;
   cout << "cut-defs/oldleft/collimator" << endl;
   l_oi.LoadDefs("cut-defs/oldleft/collimator");
   l_oi.SetNameTitle((const char*) l_oi.MakeFileName(), "old left coll in");
   l_oi.Write();

   THaRfn l_oo;
   cout << "cut-defs/oldleft/no-collimator" << endl;
   l_oo.LoadDefs("cut-defs/oldleft/no-collimator");
   l_oo.SetNameTitle((const char*) l_oo.MakeFileName(), "old left coll out");
   l_oo.Write();

   gROOT->ProcessLine(".q");
}
