/***************************************************************************

filename             : THaRfnModule.h
description          : 
created              : Thu Aug 14 2003
version              : 1.0
author               : Micha D. Niskin
email                : mniskin@yahoo.com

Copyright (C) 2003 Micha D. Niskin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

***************************************************************************/

#ifndef ROOT_THaRfnModule
#define ROOT_THaRfnModule

#include <THaPhysicsModule.h>
#include "THaRfn.h"

class THaRfnModule : public THaPhysicsModule {

public:
   THaRfnModule(const char* name="", const char* description="");
   virtual ~THaRfnModule();

   virtual EStatus   Init( const TDatime& run_time );
   virtual Int_t     Process( const THaEvData& );
   virtual Int_t     DefineVariables( EMode mode );
   virtual Int_t     ReadDatabase(const TDatime& date);

   THaRfn*   fRfn_L;       // R-function for left arm spectrometer
   THaRfn*   fRfn_R;       // L-function for right arm spectrometer
   Double_t  fRfn_Val_L;   // Placeholder for left arm RFN value
   Double_t  fRfn_Val_R;   // Placeholder for right arm RFN value

   ClassDef(THaRfnModule,0)
};

#endif


